# eth_getBlockReceipts: Parameter, Rückgabewerte und CU

> Source: https://docs.blockvectra.com/de/api/json-rpc/methods/eth_getBlockReceipts/

## Übersicht

Gibt alle Transaktionsbelege (Receipts) für einen bestimmten Block zurück. ([Offizielle Dokumentation](https://ethereum.github.io/execution-apis/api/methods/eth_getBlockReceipts))

## Compute Units (CU) und Preise

- CU pro Aufruf: 10 CU
- Preis pro 1M Aufrufe (USD): $1.00

## Parameter

| Parameter | Typ | Beschreibung |
| --- | --- | --- |
| `block` | `QUANTITY\|TAG\|HASH` | Blocknummer (hexadezimale Anzahl mit Präfix 0x), Block-Hash (32-Byte-Hex mit Präfix 0x) oder Block-Tag: 'latest', 'earliest', 'pending', 'safe' oder 'finalized'. |

## Rückgabewerte

- **Typ**: `ARRAY|NULL`
- **Beschreibung**: Array von Transaktionsbeleg-Objekten oder null, wenn der Block nicht gefunden wird. Jeder Beleg enthält transactionHash, blockNumber, gasUsed, status, logs und zugehörige Felder.

## Hinweise

Ein einziger Aufruf ruft alle Belege des Blocks ab, was im Vergleich zum Aufruf von eth_getTransactionReceipt für jede Transaktion Netzwerk-Rundläufe einspart.

## Anfragebeispiel

```bash
export BLOCKVECTRA_API_KEY=rgw_your_api_key

curl -X POST "https://api.blockvectra.com/v1/robinhood_mainnet" \
  -H 'Content-Type: application/json' \
  -H "x-api-key: $BLOCKVECTRA_API_KEY" \
  -d '{
    "jsonrpc": "2.0",
    "method": "eth_getBlockReceipts",
    "params": [
      "latest"
    ],
    "id": 1
  }'
```

## Unterstützte Chains

Verfügbar auf allen 9 unterstützten Chains.
